Retrieve organization information
curl --request GET \
--url https://console.gmicloud.ai/api/v1/organizations/{orgId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.gmicloud.ai/api/v1/organizations/{orgId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.gmicloud.ai/api/v1/organizations/{orgId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "My Organization"
}{
"group": "request",
"code": 0,
"validationDetail": [
{
"field": "orgId",
"expression": "uuid",
"originalValue": "",
"reason": "Should be a valid UUID."
}
]
}{
"group": "organization",
"code": 2,
"message": "Organization does not exist."
}{
"group": "organization",
"code": 1201,
"message": "Get organization encountered DB error.",
"traces": [
"DB error occurred."
]
}organizations
Retrieve organization information
Retrieve information about a specific organization by its ID. Only users within the organization can access the API.
GET
/
organizations
/
{orgId}
Retrieve organization information
Authorizations
An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.
Path Parameters
The organization's ID.
- Must be a valid UUID.
Example:
"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
Response
Successfully retrieved organization information.
The organization's name.
Example:
"My Organization"